Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory Class Reference

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver, Repository $repository)
| getBinaryFileFieldTypeProcessor ()
| getMediaFieldTypeProcessor ()
| getImageFieldTypeProcessor (RouterInterface $router)
| Factory for ezpublish_rest.field_type_processor.ezimage. More...

## Protected Attributes
| $configResolver
| $repository

## Detailed Description

Definition at line 15 of file Factory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::__construct | ( | ConfigResolverInterface | $configResolver,
|  | Repository | $repository
| ) |  |

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |
  \eZ\Publish\API\Repository\Repository | $repository |

Definition at line 29 of file Factory.php.

References eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory\$configResolver, and eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory\$repository.

## Member Function Documentation

## ◆ getBinaryFileFieldTypeProcessor()

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::getBinaryFileFieldTypeProcessor | ( |  | ) |

Definition at line 35 of file Factory.php.

## ◆ getImageFieldTypeProcessor()

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::getImageFieldTypeProcessor | ( | RouterInterface | $router | ) |

Factory for ezpublish_rest.field_type_processor.ezimage.

Parameters

  \Symfony\Component\Routing\RouterInterface | $router |

Returns
  \eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor

Definition at line 55 of file Factory.php.

## ◆ getMediaFieldTypeProcessor()

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::getMediaFieldTypeProcessor | ( |  | ) |

Definition at line 43 of file Factory.php.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::$configResolver
| protected

Definition at line 20 of file Factory.php.

Referenced by eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory\__construct().

## ◆ $repository

eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory::$repository
| protected

Definition at line 23 of file Factory.php.

Referenced by eZ\Bundle\EzPublishRestBundle\ApiLoader\Factory\__construct().

The documentation for this class was generated from the following file:

- Factory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.